Subject: Re: bug#3911: get-free-disk-space when default-directory doesn't exist

From: Kevin Ryde <[email-masked]>
Date: Mon, 07 Sep 2009 10:28:47 +1000

Stefan Monnier <[email-masked]> writes:
> Right now, it is.

Prospective remote support isn't a reason to leave it dodgy for locals
now is it?

> `process-file'

The cd in tramp-handle-process-file will have the same problem as the
local cd in call-process.  If there has to be a cd then it should be a
safe place like the root dir or similar.

Perhaps default-directory as the remote root dir would get close.  Is
there a func to figure that?  Except I think remote support should go
through the file-name-handler thingie to allow for remotes with their
own free-space query mechanism, rather than running "df" (or assuming
that `directory-free-space-program' for the local machine is also good
on the remote, etc).